org.eclnt.jsfserver.elements.componentnodes

## Class APPLETCONTEXTSHOWDOCUMENTNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.APPLETCONTEXTSHOWDOCUMENTNode

- All Implemented Interfaces:
    java.io.Serializable

      public class APPLETCONTEXTSHOWDOCUMENTNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `APPLETCONTEXTSHOWDOCUMENTNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `APPLETCONTEXTSHOWDOCUMENTNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `bindComment(IDynamicContentBindingObject value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `bindRendered(IDynamicContentBindingObject value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `bindTarget(IDynamicContentBindingObject value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `bindTrigger(IDynamicContentBindingObject value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `bindUrl(IDynamicContentBindingObject value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `bindUsedesktop(IDynamicContentBindingObject value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `bindUsejavascript(IDynamicContentBindingObject value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `setAdapterbinding(java.lang.String value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `setAttributemacro(java.lang.String value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `setComment(java.lang.String value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `setConfiginfo(java.lang.String value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `setId(java.lang.String value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `setReference(java.lang.String value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `setRendered(boolean value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `setRendered(java.lang.String value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `setTarget(java.lang.String value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `setTrigger(java.lang.String value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `setUrl(java.lang.String value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `setUsedesktop(boolean value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `setUsedesktop(java.lang.String value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `setUsejavascript(boolean value)`
    `APPLETCONTEXTSHOWDOCUMENTNode` | `setUsejavascript(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### APPLETCONTEXTSHOWDOCUMENTNode

          public APPLETCONTEXTSHOWDOCUMENTNode()

  - ### Method Detail

    - #### setId

          public APPLETCONTEXTSHOWDOCUMENTNode setId(java.lang.String value)

    - #### setAdapterbinding

          public APPLETCONTEXTSHOWDOCUMENTNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public APPLETCONTEXTSHOWDOCUMENTNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public APPLETCONTEXTSHOWDOCUMENTNode setAttributemacro(java.lang.String value)

    - #### setComment

          public APPLETCONTEXTSHOWDOCUMENTNode setComment(java.lang.String value)

    - #### bindComment

          public APPLETCONTEXTSHOWDOCUMENTNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public APPLETCONTEXTSHOWDOCUMENTNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public APPLETCONTEXTSHOWDOCUMENTNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setReference

          public APPLETCONTEXTSHOWDOCUMENTNode setReference(java.lang.String value)

    - #### setRendered

          public APPLETCONTEXTSHOWDOCUMENTNode setRendered(java.lang.String value)

    - #### bindRendered

          public APPLETCONTEXTSHOWDOCUMENTNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public APPLETCONTEXTSHOWDOCUMENTNode setRendered(boolean value)

    - #### setTarget

          public APPLETCONTEXTSHOWDOCUMENTNode setTarget(java.lang.String value)

    - #### bindTarget

          public APPLETCONTEXTSHOWDOCUMENTNode bindTarget(IDynamicContentBindingObject value)

    - #### setTrigger

          public APPLETCONTEXTSHOWDOCUMENTNode setTrigger(java.lang.String value)

    - #### bindTrigger

          public APPLETCONTEXTSHOWDOCUMENTNode bindTrigger(IDynamicContentBindingObject value)

    - #### setUrl

          public APPLETCONTEXTSHOWDOCUMENTNode setUrl(java.lang.String value)

    - #### bindUrl

          public APPLETCONTEXTSHOWDOCUMENTNode bindUrl(IDynamicContentBindingObject value)

    - #### setUsedesktop

          public APPLETCONTEXTSHOWDOCUMENTNode setUsedesktop(java.lang.String value)

    - #### bindUsedesktop

          public APPLETCONTEXTSHOWDOCUMENTNode bindUsedesktop(IDynamicContentBindingObject value)

    - #### setUsedesktop

          public APPLETCONTEXTSHOWDOCUMENTNode setUsedesktop(boolean value)

    - #### setUsejavascript

          public APPLETCONTEXTSHOWDOCUMENTNode setUsejavascript(java.lang.String value)

    - #### bindUsejavascript

          public APPLETCONTEXTSHOWDOCUMENTNode bindUsejavascript(IDynamicContentBindingObject value)

    - #### setUsejavascript

          public APPLETCONTEXTSHOWDOCUMENTNode setUsejavascript(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.